package ru.yandex.wmconsole.data.wrappers;

import ru.yandex.wmconsole.data.info.AddUrlInfo;
import ru.yandex.wmtools.common.util.XmlDataWrapper;

/**
  * <code>AddUrlInfo</code> wrapper.
 *
 * @author ailyin
 */
public class AddUrlInfoWrapper extends XmlDataWrapper<AddUrlInfo> {
    public AddUrlInfoWrapper(AddUrlInfo info) {
        super(info, "error");
    }

    @Override
    protected void doToXml(StringBuilder result) {
        putTag(result, "url", data.getUrl());
        putTag(result, "type", data.getResult());
    }
}
